Name:		kde-cdemu
Version:	0.8.0
Release:	%mkrel 2
Summary:	CDEmu manager frontend for KF5
License:	GPLv3
Group:		Emulators
URL:		https://kde-cdemu-manager.sourceforge.io/
Source:		https://sourceforge.net/projects/kde-cdemu-manager/files/kde_cdemu-%{version}.tar.bz2
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	kf5-macros
BuildRequires:	cmake(KF5I18n)
BuildRequires:	cmake(KF5CoreAddons)
BuildRequires:	cmake(KF5Notifications)
BuildRequires:	cmake(KF5XmlGui)
BuildRequires:	cmake(KF5ConfigWidgets)
BuildRequires:	cmake(KF5WidgetsAddons)
BuildRequires:	cmake(KF5DBusAddons)

Requires:	cdemu-client
Provides:	%{name}-manager = %{version}-%{release}

%description
KDE CDEmu Manager is a simple Qt5/Kf5 frontend for CDEmu.

It provides a little manager window that gives you an overview
of your virtual drives and allows you to mount and unmount images.
It also includes a KDE service menu for mounting images directly
from Dolphin/Konqueror (which is what most people will want to use).
Images can be unmounted like any other media through Dolphin or the
Device Notifier plasmoid.

%prep
%setup -qn kde_cdemu

%build
%cmake_kf5

%cmake_build

%install
%cmake_install

%find_lang kde_cdemu

%files -f kde_cdemu.lang
%doc CHANGELOG
%{_kf5_bindir}/kde_cdemu
%{_kf5_applicationsdir}/org.kde.kde_cdemu.desktop
%{_kf5_services}/ServiceMenus/kde_cdemu_mount.desktop


%changelog
* Wed Apr 06 2022 umeabot <umeabot> 0.8.0-2.mga9
+ Revision: 1845908
- Mageia 9 Mass Rebuild

* Sat May 01 2021 daviddavid <daviddavid> 0.8.0-1.mga9
+ Revision: 1720789
- new version: 0.8.0

* Thu Dec 17 2020 umeabot <umeabot> 0.7.3-5.mga8
+ Revision: 1658656
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 0.7.3-4.mga8
+ Revision: 1524666
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sat Mar 30 2019 umeabot <umeabot> 0.7.3-3.mga7
+ Revision: 1382204
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.7.3-2.mga7
+ Revision: 1298476
- Mageia 7 Mass Rebuild

* Tue Jan 16 2018 daviddavid <daviddavid> 0.7.3-1.mga7
+ Revision: 1193814
- new version: 0.7.3

* Fri Dec 09 2016 daviddavid <daviddavid> 0.7.2-1.mga6
+ Revision: 1073761
- new version: 0.7.2

* Tue Dec 06 2016 daviddavid <daviddavid> 0.7.1-1.mga6
+ Revision: 1072847
- new version: 0.7.1
- switch again to the official project

* Mon Oct 10 2016 daviddavid <daviddavid> 0.6.2-1.mga6
+ Revision: 1059939
- initial package kde-cdemu based on Qt5/KF5 (mga#3449)

